=== ecatools/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# ecatools/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.





srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
bin_PROGRAMS = ecaconvert$(EXEEXT) \
	ecafixdc$(EXEEXT) ecalength$(EXEEXT) \
	ecanormalize$(EXEEXT) \
	ecaplay$(EXEEXT) \
	ecasignalview$(EXEEXT)
#bin_PROGRAMS = ecaconvert_debug$(EXEEXT) \
#	ecafixdc_debug$(EXEEXT) \
#	ecalength_debug$(EXEEXT) \
#	ecanormalize_debug$(EXEEXT) \
#	ecaplay_debug$(EXEEXT) \
#	ecasignalview_debug$(EXEEXT)
subdir = ecatools
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(bindir)"
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
PROGRAMS = $(bin_PROGRAMS)
am_ecaconvert_OBJECTS = ecaconvert.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
ecaconvert_OBJECTS = $(am_ecaconvert_OBJECTS)
am__DEPENDENCIES_1 = $(top_builddir)/libecasoundc/libecasoundc.la
#am__DEPENDENCIES_1 = $(top_builddir)/libecasoundc/libecasoundc_debug.la
am__DEPENDENCIES_2 = $(top_builddir)/kvutils/libkvutils.la
#am__DEPENDENCIES_2 = $(top_builddir)/kvutils/libkvutils_debug.la
ecaconvert_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
am__objects_1 = ecaconvert.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecaconvert_debug_OBJECTS = $(am__objects_1)
ecaconvert_debug_OBJECTS = $(am_ecaconvert_debug_OBJECTS)
am__DEPENDENCIES_3 = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
ecaconvert_debug_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_ecafixdc_OBJECTS = ecafixdc.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
ecafixdc_OBJECTS = $(am_ecafixdc_OBJECTS)
ecafixdc_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
am__objects_2 = ecafixdc.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecafixdc_debug_OBJECTS = $(am__objects_2)
ecafixdc_debug_OBJECTS = $(am_ecafixdc_debug_OBJECTS)
ecafixdc_debug_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_ecalength_OBJECTS = ecalength.$(OBJEXT)
ecalength_OBJECTS = $(am_ecalength_OBJECTS)
ecalength_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__objects_3 = ecalength.$(OBJEXT)
am_ecalength_debug_OBJECTS = $(am__objects_3)
ecalength_debug_OBJECTS = $(am_ecalength_debug_OBJECTS)
am__DEPENDENCIES_4 = $(am__DEPENDENCIES_1)
ecalength_debug_DEPENDENCIES = $(am__DEPENDENCIES_4)
am_ecanormalize_OBJECTS = ecanormalize.$(OBJEXT) \
	ecicpp_helpers.$(OBJEXT)
ecanormalize_OBJECTS = $(am_ecanormalize_OBJECTS)
ecanormalize_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2)
am__objects_4 = ecanormalize.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecanormalize_debug_OBJECTS = $(am__objects_4)
ecanormalize_debug_OBJECTS = $(am_ecanormalize_debug_OBJECTS)
ecanormalize_debug_DEPENDENCIES = $(am__DEPENDENCIES_3)
am_ecaplay_OBJECTS = ecaplay.$(OBJEXT)
ecaplay_OBJECTS = $(am_ecaplay_OBJECTS)
ecaplay_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__objects_5 = ecaplay.$(OBJEXT)
am_ecaplay_debug_OBJECTS = $(am__objects_5)
ecaplay_debug_OBJECTS = $(am_ecaplay_debug_OBJECTS)
ecaplay_debug_DEPENDENCIES = $(am__DEPENDENCIES_4)
am_ecasignalview_OBJECTS = ecasignalview.$(OBJEXT) \
	ecicpp_helpers.$(OBJEXT)
ecasignalview_OBJECTS = $(am_ecasignalview_OBJECTS)
am__DEPENDENCIES_5 =
ecasignalview_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_5) \
	$(am__DEPENDENCIES_5)
am__objects_6 = ecasignalview.$(OBJEXT) ecicpp_helpers.$(OBJEXT)
am_ecasignalview_debug_OBJECTS = $(am__objects_6)
ecasignalview_debug_OBJECTS = $(am_ecasignalview_debug_OBJECTS)
am__DEPENDENCIES_6 = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2) \
	$(am__DEPENDENCIES_5) $(am__DEPENDENCIES_5)
ecasignalview_debug_DEPENDENCIES = $(am__DEPENDENCIES_6)
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(ecaconvert_SOURCES) $(ecaconvert_debug_SOURCES) \
	$(ecafixdc_SOURCES) $(ecafixdc_debug_SOURCES) \
	$(ecalength_SOURCES) $(ecalength_debug_SOURCES) \
	$(ecanormalize_SOURCES) $(ecanormalize_debug_SOURCES) \
	$(ecaplay_SOURCES) $(ecaplay_debug_SOURCES) \
	$(ecasignalview_SOURCES) $(ecasignalview_debug_SOURCES)
DIST_SOURCES = $(ecaconvert_SOURCES) $(ecaconvert_debug_SOURCES) \
	$(ecafixdc_SOURCES) $(ecafixdc_debug_SOURCES) \
	$(ecalength_SOURCES) $(ecalength_debug_SOURCES) \
	$(ecanormalize_SOURCES) $(ecanormalize_debug_SOURCES) \
	$(ecaplay_SOURCES) $(ecaplay_debug_SOURCES) \
	$(ecasignalview_SOURCES) $(ecasignalview_debug_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = 
ECA_AM_COMPILE_ARTS_TRUE = #
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = #
ECA_AM_KVUTILS_INSTALLED_TRUE = 
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =    
ECA_S_EXTRA_CPPFLAGS =   
ECA_S_EXTRA_LIBS =   -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 16
LIBECASOUND_VERSION_AGE = 0
LIBKVUTILS_VERSION = 7
LIBKVUTILS_VERSION_AGE = 3
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ecasound
PACKAGE_STRING = ecasound 2.4.4
PACKAGE_TARNAME = ecasound
PACKAGE_VERSION = 2.4.4
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.4.4
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = ecasound.el ecamonitor
libkvutils_path = $(top_builddir)/kvutils/libkvutils.la
#libkvutils_path = $(top_builddir)/kvutils/libkvutils_debug.la
libecasoundc_path = $(top_builddir)/libecasoundc/libecasoundc.la
