=== kvutils/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# kvutils/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
check_PROGRAMS = $(am__EXEEXT_1)
subdir = kvutils
DIST_COMMON = README $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in COPYING ChangeLog INSTALL missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libkvutils_la_LIBADD =
am__objects_1 = kvu_com_line.lo kvu_fd_io.lo kvu_locks.lo \
	kvu_message_item.lo kvu_numtostr.lo kvu_procedure_timer.lo \
	kvu_rtcaps.lo kvu_temporary_file_directory.lo kvu_threads.lo \
	kvu_utils.lo kvu_value_queue.lo
am__objects_2 =
am_libkvutils_la_OBJECTS = $(am__objects_1) $(am__objects_2)
libkvutils_la_OBJECTS = $(am_libkvutils_la_OBJECTS)
am_libkvutils_la_rpath = -rpath $(libdir)
libkvutils_debug_la_LIBADD =
am__objects_3 = $(am__objects_1) $(am__objects_2)
am_libkvutils_debug_la_OBJECTS = $(am__objects_3)
libkvutils_debug_la_OBJECTS = $(am_libkvutils_debug_la_OBJECTS)
#am_libkvutils_debug_la_rpath = -rpath \
#	$(libdir)
am__EXEEXT_1 = libkvutils_tester$(EXEEXT)
am_libkvutils_tester_OBJECTS = libkvutils_tester.$(OBJEXT)
libkvutils_tester_OBJECTS = $(am_libkvutils_tester_OBJECTS)
am__DEPENDENCIES_1 = libkvutils.la
#am__DEPENDENCIES_1 = libkvutils_debug.la
libkvutils_tester_DEPENDENCIES = $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libkvutils_la_SOURCES) $(libkvutils_debug_la_SOURCES) \
	$(libkvutils_tester_SOURCES)
DIST_SOURCES = $(libkvutils_la_SOURCES) $(libkvutils_debug_la_SOURCES) \
	$(libkvutils_tester_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = 
ECA_AM_COMPILE_ARTS_TRUE = #
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = #
ECA_AM_KVUTILS_INSTALLED_TRUE = 
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =    
ECA_S_EXTRA_CPPFLAGS =   
ECA_S_EXTRA_LIBS =   -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 16
LIBECASOUND_VERSION_AGE = 0
LIBKVUTILS_VERSION = 7
LIBKVUTILS_VERSION_AGE = 3
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ecasound
PACKAGE_STRING = ecasound 2.4.4
PACKAGE_TARNAME = ecasound
PACKAGE_VERSION = 2.4.4
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.4.4
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
lib_LTLIBRARIES = libkvutils.la

# ---
# Makefile.am for building libkvutils.a
# ---
#lib_LTLIBRARIES = libkvutils_debug.la
TESTS = libkvutils_tester
kvutil_sources = kvu_com_line.cpp \
			kvu_fd_io.cpp \
			kvu_locks.cpp \
			kvu_message_item.cpp \
			kvu_numtostr.cpp \
			kvu_procedure_timer.cpp \
			kvu_rtcaps.cpp \
			kvu_temporary_file_directory.cpp \
			kvu_threads.cpp \
			kvu_utils.cpp \
		 	kvu_value_queue.cpp

kvutil_headers = kvu_dbc.h \
			kvu_definition_by_contract.h \
			kvu_com_line.h \
			kvu_fd_io.h \
			kvu_locks.h \
			kvu_message_item.h \
			kvu_numtostr.h \
			kvu_object_queue.h \
			kvu_procedure_timer.h \
			kvu_rtcaps.h \
			kvu_temporary_file_directory.h \
			kvu_threads.h \
			kvu_utils.h \
			kvu_value_queue.h \
			kvu_inttypes.h

libkvutils_la_SOURCES = $(kvutil_sources) $(kvutil_headers)
libkvutils_la_LDFLAGS = -version-info 7:0:3 -static
libkvutils_debug_la_SOURCES = $(libkvutils_la_SOURCES)
libkvutils_debug_la_LDFLAGS = $(libkvutils_la_LDFLAGS)
libkvutils_tester_SOURCES = libkvutils_tester.cpp
libkvutils_tester_LDFLAGS = -static
libkvutils_tester_LDADD = $(lib_LTLIBRARIES)
noinst_HEADERS = $(kvutil_headers)
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  kvutils/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  kvutils/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(mkdir_p) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
