=== libecasound/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# libecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
check_PROGRAMS = libecasound_tester$(EXEEXT)
subdir = libecasound
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(srcdir)/libecasound-config.in \
	ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES = libecasound-config
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
am__DEPENDENCIES_1 =
am__DEPENDENCIES_2 = $(top_builddir)/libecasound/plugins/libecasound_plugins.la \
	$(am__DEPENDENCIES_1)
#am__DEPENDENCIES_2 = $(top_builddir)/libecasound/plugins/libecasound_plugins_debug.la \
#	$(am__DEPENDENCIES_1)
libecasound_la_DEPENDENCIES = $(am__DEPENDENCIES_2)
am__libecasound_la_SOURCES_DIST = audioio-cdr.cpp audioio-ewf.cpp \
	audioio-mp3.cpp audioio-ogg.cpp audioio-wave.cpp audioio.cpp \
	audioio-buffered.cpp audioio-device.cpp audioio-null.cpp \
	audioio-raw.cpp audioio-mikmod.cpp audioio-rtnull.cpp \
	audioio-loop.cpp audioio-forked-stream.cpp \
	audioio-timidity.cpp audioio-db-server.cpp \
	audioio-db-buffer.cpp audioio-db-client.cpp \
	audioio-typeselect.cpp audioio-resample.cpp \
	audioio-reverse.cpp audioio-proxy.cpp audioio-flac.cpp \
	audioio-aac.cpp audioio-oss.cpp midi-server.cpp \
	midi-client.cpp midi-parser.cpp midiio.cpp midiio-raw.cpp \
	midiio-aseq.cpp eca-chain.cpp eca-engine.cpp samplebuffer.cpp \
	eca-session.cpp eca-resources.cpp resource-file.cpp \
	eca-logger.cpp eca-logger-default.cpp eca-logger-interface.cpp \
	eca-logger-wellformed.cpp layer.cpp samplebuffer_iterators.cpp \
	eca-version.cpp eca-operator.cpp generic-controller.cpp \
	eca-object-factory.cpp eca-chainsetup.cpp \
	eca-chainsetup-bufparams.cpp eca-chainsetup-parser.cpp \
	eca-chainsetup-position.cpp eca-control.cpp \
	eca-control-base.cpp eca-control-objects.cpp \
	eca-control-dump.cpp eca-iamode-parser.cpp \
	eca-samplerate-aware.cpp eca-audio-position.cpp \
	eca-audio-format.cpp eca-audio-time.cpp eca-fileio-stream.cpp \
	eca-fileio-mmap.cpp eca-static-object-maps.cpp \
	eca-object-map.cpp eca-preset-map.cpp audiofx.cpp \
	audiofx_misc.cpp audiofx_amplitude.cpp audiofx_compressor.cpp \
	audiofx_analysis.cpp audiofx_envelope_modulation.cpp \
	audiofx_filter.cpp audiofx_rcfilter.cpp audiofx_reverb.cpp \
	audiofx_timebased.cpp audiogate.cpp audiofx_mixing.cpp \
	audiofx_ladspa.cpp audio-stamp.cpp global-preset.cpp \
	preset.cpp file-preset.cpp midi-cc.cpp osc-gen.cpp \
	osc-gen-file.cpp osc-sine.cpp linear-envelope.cpp \
	two-stage-linear-envelope.cpp stamp-ctrl.cpp \
	generic-linear-envelope.cpp
am__objects_1 = audioio-cdr.lo audioio-ewf.lo audioio-mp3.lo \
	audioio-ogg.lo audioio-wave.lo audioio.lo audioio-buffered.lo \
	audioio-device.lo audioio-null.lo audioio-raw.lo \
	audioio-mikmod.lo audioio-rtnull.lo audioio-loop.lo \
	audioio-forked-stream.lo audioio-timidity.lo \
	audioio-db-server.lo audioio-db-buffer.lo audioio-db-client.lo \
	audioio-typeselect.lo audioio-resample.lo audioio-reverse.lo \
	audioio-proxy.lo audioio-flac.lo audioio-aac.lo
am__objects_2 = audioio-oss.lo
am__objects_3 = midi-server.lo midi-client.lo midi-parser.lo midiio.lo \
	midiio-raw.lo midiio-aseq.lo
am__objects_4 = eca-chain.lo eca-engine.lo samplebuffer.lo \
	eca-session.lo eca-resources.lo resource-file.lo eca-logger.lo \
	eca-logger-default.lo eca-logger-interface.lo \
	eca-logger-wellformed.lo layer.lo samplebuffer_iterators.lo \
	eca-version.lo eca-operator.lo generic-controller.lo \
	eca-object-factory.lo eca-chainsetup.lo \
	eca-chainsetup-bufparams.lo eca-chainsetup-parser.lo \
	eca-chainsetup-position.lo eca-control.lo eca-control-base.lo \
	eca-control-objects.lo eca-control-dump.lo \
	eca-iamode-parser.lo eca-samplerate-aware.lo \
	eca-audio-position.lo eca-audio-format.lo eca-audio-time.lo \
	eca-fileio-stream.lo eca-fileio-mmap.lo \
	eca-static-object-maps.lo eca-object-map.lo eca-preset-map.lo
am__objects_5 = $(am__objects_1) $(am__objects_2) $(am__objects_3) \
	$(am__objects_4)
am__objects_6 = audiofx.lo audiofx_misc.lo audiofx_amplitude.lo \
	audiofx_compressor.lo audiofx_analysis.lo \
	audiofx_envelope_modulation.lo audiofx_filter.lo \
	audiofx_rcfilter.lo audiofx_reverb.lo audiofx_timebased.lo \
	audiogate.lo audiofx_mixing.lo audiofx_ladspa.lo \
	audio-stamp.lo
am__objects_7 = global-preset.lo preset.lo file-preset.lo
am__objects_8 = midi-cc.lo osc-gen.lo osc-gen-file.lo osc-sine.lo \
	linear-envelope.lo two-stage-linear-envelope.lo stamp-ctrl.lo \
	generic-linear-envelope.lo
am__objects_9 = $(am__objects_6) \
	$(am__objects_7) \
	$(am__objects_8)
am_libecasound_la_OBJECTS = $(am__objects_5) $(am__objects_9)
libecasound_la_OBJECTS = $(am_libecasound_la_OBJECTS)
am_libecasound_la_rpath = -rpath $(libdir)
am__DEPENDENCIES_3 = $(am__DEPENDENCIES_2)
libecasound_debug_la_DEPENDENCIES = $(am__DEPENDENCIES_3)
am__libecasound_debug_la_SOURCES_DIST = audioio-cdr.cpp \
	audioio-ewf.cpp audioio-mp3.cpp audioio-ogg.cpp \
	audioio-wave.cpp audioio.cpp audioio-buffered.cpp \
	audioio-device.cpp audioio-null.cpp audioio-raw.cpp \
	audioio-mikmod.cpp audioio-rtnull.cpp audioio-loop.cpp \
	audioio-forked-stream.cpp audioio-timidity.cpp \
	audioio-db-server.cpp audioio-db-buffer.cpp \
	audioio-db-client.cpp audioio-typeselect.cpp \
	audioio-resample.cpp audioio-reverse.cpp audioio-proxy.cpp \
	audioio-flac.cpp audioio-aac.cpp audioio-oss.cpp \
	midi-server.cpp midi-client.cpp midi-parser.cpp midiio.cpp \
	midiio-raw.cpp midiio-aseq.cpp eca-chain.cpp eca-engine.cpp \
	samplebuffer.cpp eca-session.cpp eca-resources.cpp \
	resource-file.cpp eca-logger.cpp eca-logger-default.cpp \
	eca-logger-interface.cpp eca-logger-wellformed.cpp layer.cpp \
	samplebuffer_iterators.cpp eca-version.cpp eca-operator.cpp \
	generic-controller.cpp eca-object-factory.cpp \
	eca-chainsetup.cpp eca-chainsetup-bufparams.cpp \
	eca-chainsetup-parser.cpp eca-chainsetup-position.cpp \
	eca-control.cpp eca-control-base.cpp eca-control-objects.cpp \
	eca-control-dump.cpp eca-iamode-parser.cpp \
	eca-samplerate-aware.cpp eca-audio-position.cpp \
	eca-audio-format.cpp eca-audio-time.cpp eca-fileio-stream.cpp \
	eca-fileio-mmap.cpp eca-static-object-maps.cpp \
	eca-object-map.cpp eca-preset-map.cpp audiofx.cpp \
	audiofx_misc.cpp audiofx_amplitude.cpp audiofx_compressor.cpp \
	audiofx_analysis.cpp audiofx_envelope_modulation.cpp \
	audiofx_filter.cpp audiofx_rcfilter.cpp audiofx_reverb.cpp \
	audiofx_timebased.cpp audiogate.cpp audiofx_mixing.cpp \
	audiofx_ladspa.cpp audio-stamp.cpp global-preset.cpp \
	preset.cpp file-preset.cpp midi-cc.cpp osc-gen.cpp \
	osc-gen-file.cpp osc-sine.cpp linear-envelope.cpp \
	two-stage-linear-envelope.cpp stamp-ctrl.cpp \
	generic-linear-envelope.cpp
am_libecasound_debug_la_OBJECTS = $(am__objects_5) $(am__objects_9)
libecasound_debug_la_OBJECTS = $(am_libecasound_debug_la_OBJECTS)
#am_libecasound_debug_la_rpath = -rpath \
#	$(libdir)
am__objects_10 = libecasound_tester.$(OBJEXT) \
	eca-test-repository.$(OBJEXT) eca-test-case.$(OBJEXT)
am_libecasound_tester_OBJECTS = $(am__objects_10)
libecasound_tester_OBJECTS = $(am_libecasound_tester_OBJECTS)
am__DEPENDENCIES_4 = $(top_builddir)/libecasound/libecasound.la \
	$(top_builddir)/kvutils/libkvutils.la
#am__DEPENDENCIES_4 = $(top_builddir)/libecasound/libecasound_debug.la \
#	$(top_builddir)/kvutils/libkvutils_debug.la
libecasound_tester_DEPENDENCIES = $(am__DEPENDENCIES_4)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libecasound_la_SOURCES) $(libecasound_debug_la_SOURCES) \
	$(libecasound_tester_SOURCES)
DIST_SOURCES = $(am__libecasound_la_SOURCES_DIST) \
	$(am__libecasound_debug_la_SOURCES_DIST) \
	$(libecasound_tester_SOURCES)
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-exec-recursive install-info-recursive \
	install-recursive installcheck-recursive installdirs-recursive \
	pdf-recursive ps-recursive uninstall-info-recursive \
	uninstall-recursive
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE

# Pass pkgdatadir to CPPFLAGS
AM_CPPFLAGS =  -D_REENTRANT "-DECA_PKGDATADIR=\"${pkgdatadir}\""
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = 
ECA_AM_COMPILE_ARTS_TRUE = #
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
