=== pyecasound/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# pyecasound/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = pyecasound
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in ChangeLog TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libpyecasound_la_LIBADD =
am_libpyecasound_la_OBJECTS = pyecasound.lo
libpyecasound_la_OBJECTS = $(am_libpyecasound_la_OBJECTS)
#am_libpyecasound_la_rpath =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libpyecasound_la_SOURCES)
DIST_SOURCES = $(libpyecasound_la_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = 
ECA_AM_COMPILE_ARTS_TRUE = #
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = #
ECA_AM_KVUTILS_INSTALLED_TRUE = 
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =    
ECA_S_EXTRA_CPPFLAGS =   
ECA_S_EXTRA_LIBS =   -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 16
LIBECASOUND_VERSION_AGE = 0
LIBKVUTILS_VERSION = 7
LIBKVUTILS_VERSION_AGE = 3
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ecasound
PACKAGE_STRING = ecasound 2.4.4
PACKAGE_TARNAME = ecasound
PACKAGE_VERSION = 2.4.4
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.4.4
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign
EXTRA_DIST = eci.py pyeca.py ecacontrol.py \
				  test1_stresstest.py \
				  test2_stresstest.py

ecasoundc_libs = -L$(top_builddir)/libecasoundc/.libs -lecasoundc

# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------
#ecasoundc_libs = -L$(top_builddir)/libecasoundc/.libs -lecasoundc_debug
pyecasound_install_list1 = $(srcdir)/eci.py \
				$(srcdir)/pyeca.py \
				$(srcdir)/ecacontrol.py

pyecasound_uninstall_list1 = $(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/eci.py \
				$(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/pyeca.py \
				$(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/ecacontrol.py

#pyecasound_install_list2 = pyecasound.so
#pyecasound_uninstall_list2 = $(DESTDIR)$(ECA_S_PYTHON_DLMODULES)/pyecasound.so
INCLUDES = -I$(srcdir) \
				-I$(top_srcdir)/libecasoundc \
				-I$(ECA_S_PYTHON_INCLUDES)

TESTS = test1_stresstest.py \
				  test2_stresstest.py


# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
pyecasound_includes = pyecasound.h
noinst_HEADERS = $(pyecasound_includes)

# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
#noinst_LTLIBRARIES = libpyecasound.la
libpyecasound_la_SOURCES = pyecasound.c

# libtool options to build for dlopen
libpyecasound_la_LDFLAGS = -avoid-version -export-dynamic

# ----------------------------------------------------------------------
# hooks
# ----------------------------------------------------------------------
#CLEANFILES = pyecasound.so
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  pyecasound/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  pyecasound/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libpyecasound.la: $(libpyecasound_la_OBJECTS) $(libpyecasound_la_DEPENDENCIES) 
	$(LINK) $(am_libpyecasound_la_rpath) $(libpyecasound_la_LDFLAGS) $(libpyecasound_la_OBJECTS) $(libpyecasound_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/pyecasound.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
