=== libecasound/plugins/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# libecasound/plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/ecasound
pkglibdir = $(libdir)/ecasound
pkgincludedir = $(includedir)/ecasound
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
subdir = libecasound/plugins
DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in ChangeLog
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
am__DEPENDENCIES_1 =
libecasound_plugins_la_DEPENDENCIES = $(am__DEPENDENCIES_1)
am__libecasound_plugins_la_SOURCES_DIST = audioio_dummy.cpp \
	audioio_af.cpp audioio_alsa.cpp audioio_alsa_named.cpp \
	audioio_arts.cpp audioio_jack.cpp audioio_jack_manager.cpp \
	audioio_sndfile.cpp
am__objects_1 = audioio_af.lo
am__objects_2 = $(am__objects_1)
am__objects_3 = audioio_alsa.lo audioio_alsa_named.lo
am__objects_4 = $(am__objects_3)
am__objects_5 = audioio_arts.lo
#am__objects_6 = $(am__objects_5)
am__objects_7 = audioio_jack.lo audioio_jack_manager.lo
am__objects_8 = $(am__objects_7)
am__objects_9 = audioio_sndfile.lo
am__objects_10 = $(am__objects_9)
am__objects_11 = $(am__objects_2) $(am__objects_4) $(am__objects_6) \
	$(am__objects_8) $(am__objects_10)
am_libecasound_plugins_la_OBJECTS = audioio_dummy.lo $(am__objects_11)
libecasound_plugins_la_OBJECTS = $(am_libecasound_plugins_la_OBJECTS)
am_libecasound_plugins_la_rpath =
am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
libecasound_plugins_debug_la_DEPENDENCIES = $(am__DEPENDENCIES_2)
am__libecasound_plugins_debug_la_SOURCES_DIST = audioio_dummy.cpp \
	audioio_af.cpp audioio_alsa.cpp audioio_alsa_named.cpp \
	audioio_arts.cpp audioio_jack.cpp audioio_jack_manager.cpp \
	audioio_sndfile.cpp
am__objects_13 = audioio_dummy.lo $(am__objects_11)
am_libecasound_plugins_debug_la_OBJECTS = $(am__objects_13)
libecasound_plugins_debug_la_OBJECTS =  \
	$(am_libecasound_plugins_debug_la_OBJECTS)
#am_libecasound_plugins_debug_la_rpath =
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(libecasound_plugins_la_SOURCES) \
	$(EXTRA_libecasound_plugins_la_SOURCES) \
	$(libecasound_plugins_debug_la_SOURCES) \
	$(EXTRA_libecasound_plugins_debug_la_SOURCES)
DIST_SOURCES = $(am__libecasound_plugins_la_SOURCES_DIST) \
	$(EXTRA_libecasound_plugins_la_SOURCES) \
	$(am__libecasound_plugins_debug_la_SOURCES_DIST) \
	$(EXTRA_libecasound_plugins_debug_la_SOURCES)
HEADERS = $(noinst_HEADERS)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run tar
AM_CFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_CPPFLAGS =  -D_REENTRANT
AM_CXXFLAGS =  -ffast-math -fstrict-aliasing -funroll-loops -DNDEBUG -DENABLE_DBC -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
AM_LDFLAGS = 
AR = ar
ARTSC_CONFIG = /usr/bin/artsc-config
AUTOCONF = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run automake-1.9
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2 -D_REENTRANT -DNDEBUG -ffast-math -fstrict-aliasing -funroll-loops
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECA_AM_ALL_STATIC_FALSE = 
ECA_AM_ALL_STATIC_TRUE = #
ECA_AM_COMPILE_ALSA_FALSE = #
ECA_AM_COMPILE_ALSA_TRUE = 
ECA_AM_COMPILE_ARTS_FALSE = 
ECA_AM_COMPILE_ARTS_TRUE = #
ECA_AM_COMPILE_AUDIOFILE_FALSE = #
ECA_AM_COMPILE_AUDIOFILE_TRUE = 
ECA_AM_COMPILE_JACK_FALSE = #
ECA_AM_COMPILE_JACK_TRUE = 
ECA_AM_COMPILE_OSS_FALSE = #
ECA_AM_COMPILE_OSS_TRUE = 
ECA_AM_COMPILE_SAMPLERATE_FALSE = #
ECA_AM_COMPILE_SAMPLERATE_TRUE = 
ECA_AM_COMPILE_SNDFILE_FALSE = #
ECA_AM_COMPILE_SNDFILE_TRUE = 
ECA_AM_DEBUG_MODE_FALSE = 
ECA_AM_DEBUG_MODE_TRUE = #
ECA_AM_DISABLE_EFFECTS_FALSE = 
ECA_AM_DISABLE_EFFECTS_TRUE = #
ECA_AM_FEELING_EXPERIMENTAL_FALSE = 
ECA_AM_FEELING_EXPERIMENTAL_TRUE = #
ECA_AM_KVUTILS_INSTALLED_FALSE = #
ECA_AM_KVUTILS_INSTALLED_TRUE = 
ECA_AM_PYECASOUND_CEXT_FALSE = 
ECA_AM_PYECASOUND_CEXT_TRUE = #
ECA_AM_PYECASOUND_INSTALL_FALSE = #
ECA_AM_PYECASOUND_INSTALL_TRUE = 
ECA_AM_RUBYECASOUND_INSTALL_FALSE = #
ECA_AM_RUBYECASOUND_INSTALL_TRUE = 
ECA_AM_SYSTEM_READLINE_FALSE = #
ECA_AM_SYSTEM_READLINE_TRUE = 
ECA_AM_USE_NCURSES_FALSE = #
ECA_AM_USE_NCURSES_TRUE = 
ECA_AM_USE_TERMCAP_FALSE = 
ECA_AM_USE_TERMCAP_TRUE = #
ECA_S_EXTRA_CFLAGS =    
ECA_S_EXTRA_CPPFLAGS =   
ECA_S_EXTRA_LIBS =   -lsamplerate -laudiofile -lsndfile -lasound  -ljack
ECA_S_JACK_INCLUDES = 
ECA_S_JACK_LIBS =  -ljack
ECA_S_PREFIX = /usr
ECA_S_PYTHON_DLMODULES = /usr/lib/python2.4/site-packages
ECA_S_PYTHON_INCLUDES = /usr/include/python2.4
ECA_S_PYTHON_MODULES = /usr/lib/python2.4/site-packages
ECA_S_READLINE_INCLUDES = /usr/include/readline
ECA_S_READLINE_LIBS =  -lhistory
ECA_S_RUBY_SITEDIR = /usr/local/lib/site_ruby/1.8
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = g77
FFLAGS = -g -O2
GREP = /bin/grep
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBECASOUNDC_VERSION = 1
LIBECASOUNDC_VERSION_AGE = 0
LIBECASOUND_VERSION = 16
LIBECASOUND_VERSION_AGE = 0
LIBKVUTILS_VERSION = 7
LIBKVUTILS_VERSION_AGE = 3
LIBOBJS = 
LIBS = -ldl -lm -lpthread 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/missing --run makeinfo
OBJEXT = o
PACKAGE = ecasound
PACKAGE_BUGREPORT = 
PACKAGE_NAME = ecasound
PACKAGE_STRING = ecasound 2.4.4
PACKAGE_TARNAME = ecasound
PACKAGE_VERSION = 2.4.4
PATH_SEPARATOR = :
PYTHONPATH = /usr/bin/python
RANLIB = ranlib
RUBYPATH = /usr/bin/ruby
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 2.4.4
ac_ct_CC = gcc
ac_ct_CXX = 
ac_ct_F77 = g77
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
datadir = /usr/share/ecasound2.2
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = /home/dancer/DEBIAN/ecasound/ecasound2.2-2.4.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = /usr/share/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
subdirs = 
sysconfdir = ${prefix}/etc
target_alias = 
AUTOMAKE_OPTIONS = foreign

# ----------------------------------------------------------------------
# defines
# ----------------------------------------------------------------------

#common_clags = -DECA_ENABLE_AUDIOIO_PLUGINS
all_arts_src = audioio_arts.cpp
#arts_src = $(all_arts_src)
arts_target = 
#arts_target = libaudioio_arts.la
all_alsa_src = audioio_alsa.cpp audioio_alsa_named.cpp
alsa_src = $(all_alsa_src)
#alsa_target = 
alsa_target = libaudioio_alsa.la \
	      libaudioio_alsa_named.la

all_af_src = audioio_af.cpp
af_src = $(all_af_src)
#af_target = 
af_target = libaudioio_af.la
all_sndfile_src = audioio_sndfile.cpp
sndfile_src = $(all_sndfile_src)
#sndfile_target = 
sndfile_target = libaudioio_sndfile.la
all_jack_src = audioio_jack.cpp audioio_jack_manager.cpp
jack_src = $(all_jack_src)
#jack_target = 
jack_target = libaudioio_jack.la
INCLUDES = -I$(srcdir) \
		-I$(top_srcdir) \
		-I$(top_srcdir)/libecasound \
		-I$(top_srcdir)/kvutils \
		$(ECA_S_EXTRA_CPPFLAGS)


#libdir = 	$(exec_prefix)/lib/libecasound16-plugins

# ----------------------------------------------------------------------
# header files
# ----------------------------------------------------------------------
plugin_includes = \
			audioio_af.h \
			audioio_alsa.h \
			audioio_alsa_named.h \
			audioio_arts.h \
			audioio_jack.h \
			audioio_jack_manager.h \
			audioio_sndfile.h

noinst_HEADERS = $(plugin_includes)
noinst_LTLIBRARIES = libecasound_plugins.la

# ----------------------------------------------------------------------
# build targets and compiler options target defines
# ----------------------------------------------------------------------
#noinst_LTLIBRARIES = libecasound_plugins_debug.la
plugin_cond_sources = $(af_src) \
                        $(alsa_src) \
			$(arts_src) \
			$(jack_src) \
			$(sndfile_src)

plugin_all_sources = $(all_af_src) \
			$(all_alsa_src) \
			$(all_arts_src) \
			$(all_jack_src) \
			$(all_sndfile_src)


# ----------------------------------------------------------------------
# source files
# ----------------------------------------------------------------------
libecasound_plugins_la_SOURCES = audioio_dummy.cpp $(plugin_cond_sources)
EXTRA_libecasound_plugins_la_SOURCES = $(plugin_all_sources)
libecasound_plugins_la_LIBADD = $(ECA_S_EXTRA_LIBS)
libecasound_plugins_la_LDFLAGS = -static
libecasound_plugins_debug_la_SOURCES = $(libecasound_plugins_la_SOURCES)
EXTRA_libecasound_plugins_debug_la_SOURCES = $(EXTRA_libecasound_plugins_la_SOURCES)
libecasound_plugins_debug_la_LIBADD = $(libecasound_plugins_la_LIBADD)
libecasound_plugins_debug_la_LDFLAGS = $(libecasound_plugins_la_LDFLAGS)
all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
