=== debian/changelog ===
ecasound2.2 (2.4.4-7) unstable; urgency=low

  * Bug fix: "FTBFS with GCC 4.3: missing #includes", thanks to Martin
    Michlmayr (Closes: #417178).
  - 13_gcc4.3

 -- Junichi Uekawa <dancer@debian.org>  Wed, 11 Apr 2007 08:46:41 +0900

ecasound2.2 (2.4.4-6) unstable; urgency=HIGH

  * Bug fix: "libecasound2.2-dev: missing dependency on libasound2-dev",
    thanks to Steve Langasek (Closes: #409438).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  4 Feb 2007 11:32:59 +0900

ecasound2.2 (2.4.4-5) unstable; urgency=low

  * Bug fix: "ecasound-el: Please add a depends against emacsen or
    emacs-snapshot", thanks to arnaud@andesi.org (Closes: #403146).

 -- Junichi Uekawa <dancer@debian.org>  Fri,  5 Jan 2007 14:15:13 +0900

ecasound2.2 (2.4.4-4) unstable; urgency=low

  * Bug fix: "FTBFS: Non-ascii character in input, consider using package
    inputenc", thanks to Martin Michlmayr (Closes: #396851).
    Remove the weird bit from documentation.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  4 Nov 2006 13:42:53 +0900

ecasound2.2 (2.4.4-3) unstable; urgency=low

  * Bug fix: "Python policy transition" (Closes: #373316).
  - Build-depend on python-dev instead of python2.4-dev
  - python-ecasound is arch all
  - fix description to remove reference to python 2.3
  - debian/rules: remove reference to python2.3 and use dh_pysupport instead of dh_python
  - remove existing byte-compilation handling from postinst/preinst.
  some of it thanks to Pierre Habouzit <madcoder@debian.org>
  * Bug fix: "ecasound2.2: FTBFS on kfreebsd-amd64: unsatisfied
    Build-Depends", thanks to Petr Salinger (Closes: #361469).
    add hurd-i386 to list
  * Standards-Version: 3.7.2
  * remove g++ versioned build-dependency, and add python-support (>=
    0.4.0) to build-dependency.
  * update watch file format
  * debian/rules clean config.log, config.status.
  * ecasound now has versioned depends on python-ecasound, since it was
    the original intention.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 12 Aug 2006 22:03:54 +0900

ecasound2.2 (2.4.4-2) unstable; urgency=low

  * Work with newer autoconf/automake ? which seems to be using more {}s.
  - 11_configure_in_alsa_fix: "FTBFS: ./configure: line 23306: syntax
    error near unexpected token `}'" (Closes: #377936).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 13 Jul 2006 00:49:48 +0900

ecasound2.2 (2.4.4-1) unstable; urgency=low

  * New upstream release
  - 10_unprotect_filename_with_comma: integrated upstream
  - 07_configure_in_maintainer_mode: update
  * fix pbuilder-test

 -- Junichi Uekawa <dancer@debian.org>  Sat, 28 Jan 2006 06:23:45 +0900

ecasound2.2 (2.4.3-3) unstable; urgency=low

  * 10_unprotect_filename_with_comma: ecatools did not accept filenames with 
    comma, but alsa devices are filenames starting with comma; accept them.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  5 Dec 2005 23:54:49 +0900

ecasound2.2 (2.4.3-2) unstable; urgency=low

  * make libasound2 optional for kFreeBSD (closes: #327648)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 18 Sep 2005 08:10:34 +0900

ecasound2.2 (2.4.3-1) unstable; urgency=low

  * New upstream release
  - fixes: ecasound freezes the computer under root with double buffering(closes: #317900)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Aug 2005 07:43:03 +0900

ecasound2.2 (2.4.2-1) unstable; urgency=low

  * New upstream release
  * no longer generate ecasound2.2 transition package (closes: #321981)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Aug 2005 10:57:32 +0900

ecasound2.2 (2.4.1-2) unstable; urgency=low

  * README.Debian: Note that arts is disabled
  * rebuild with readline5-dev
  - Bug fix: "use libreadline5-dev after sarge", thanks to Laurent Bonnaud
    (Closes: #292313).
  * Build-depend on g++ 4.0 or greater.
  * rebuild with jack 0.100 as build-depends
  - Bug fix: "libjack0.80.0-0 removed from unstable; rebuild required",
    (Closes: #317191).

 -- Junichi Uekawa <dancer@debian.org>  Tue, 12 Jul 2005 22:58:08 +0900

ecasound2.2 (2.4.1-1) unstable; urgency=low

  * New upstream version
  - 01_ecasoundrc-location-fix: included in upstream
  - 07_configure_in_maintainer_mode: updated
  * removed refererence to artsc-dev
  * [debian/control, debian/rules] Use automake1.9
  * documentation is now in rst
  - add Build-Depends: python-docutils
  * debian/menu: quote
  * debian/watch: add

 -- Junichi Uekawa <dancer@debian.org>  Thu, 14 Apr 2005 09:15:48 +0900

ecasound2.2 (2.4.0-1) unstable; urgency=low

  * New upstream release
  - fixes filename parsing code (closes #285265, #284312, #285264)
  - effect presets value eca:0.69 is now eca:69 (closes: #296505)
  * disable arts support temporarily since it doesn't build
  * debian/rules, debian/ecasound.manpages: 
    use installman instead of installmanpages

 -- Junichi Uekawa <dancer@debian.org>  Sun, 13 Mar 2005 19:16:08 +0900

ecasound2.2 (2.3.5-8) unstable; urgency=low

  * README.Debian: update upstream URL, and explain why the source package is 
  thusly called. (closes: #284310)
  * TODO; update with current todo items.

 -- Junichi Uekawa <dancer@debian.org>  Tue,  8 Feb 2005 18:39:00 +0900

ecasound2.2 (2.3.5-7) unstable; urgency=low

  * Typo fix: replaces libecasound7c -> libecasound7. (closes: #290630)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 16 Jan 2005 15:59:10 +0900

ecasound2.2 (2.3.5-6) unstable; urgency=low

  * libecasound2.2-dev should depend on libsndfile1-dev.
    (closes: #282226, #282229)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Nov 2004 08:53:13 +0900

ecasound2.2 (2.3.5-5) unstable; urgency=low

  * ecasound-el depend on ecasound instead of ecasound2.2
  * 01_ecasoundrc-location-fix: fix patch so that effects_presets can be used.
    default 'ecasoundrc' was not modified correctly. 

 -- Junichi Uekawa <dancer@debian.org>  Wed, 17 Nov 2004 08:28:31 +0900

ecasound2.2 (2.3.5-3) unstable; urgency=low

  *  Build-dep on ruby

 -- Junichi Uekawa <dancer@debian.org>  Mon, 15 Nov 2004 07:14:00 +0900


