=== debian/control ===
Source: ecasound2.2
section: sound
Priority: extra
Maintainer: Junichi Uekawa <dancer@debian.org>
Standards-Version: 3.7.2
Build-Depends: libsndfile1-dev (>= 1.0.5), libaudiofile-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], debhelper (>> 4.1.1), libwrap-dev, libncurses5-dev, python-dev, ladspa-sdk (>= 1.0.LGPL-3), libtool, m4, libreadline5-dev, libjack0.100.0-dev, libsamplerate0-dev, dpatch, hevea, doxygen, tetex-bin, tetex-extra, autoconf, automake1.9, python, yodl, ruby1.8, ruby, python-docutils, python-support (>= 0.4.0)
Build-Conflicts: libecasound7, libkvutils2, libecasound7c102, libkvutils2c102

Package: ecasound
Architecture: any
Depends: ${shlibs:Depends}, python-ecasound2.2 (= ${Source-Version}), python
Suggests: mp3-encoder, mpg321 | mp3-decoder, vorbis-tools, swh-plugins | ladspa-plugin, timidity, mikmod
Provides: ladspa-host, ecasound
Replaces: ecasound2.2 (<< 2.3.2-1), libecasound7c102, libecasound7
Description: Multitrack-capable audio recorder and effect processor
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. A versatile console mode
 interface is included in the package.

Package: libecasound2.2-dev
Architecture: any
Section: libdevel
Depends: libkvutils2.2-dev, libaudiofile-dev, ${libasound2-dev}, libjack0.100.0-dev, libsamplerate0-dev, libsndfile1-dev
Conflicts: libecasound-development
Provides: libecasound-development
Description: development files for ecasound
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 includes development files for ecasound (C++) bindings

Package: libkvutils2.2-dev
Architecture: any
Section: libdevel
Depends: libc-dev, libreadline5-dev
Conflicts: libkvutils1-dev, libkvutils-dev, libkvutils-development
Provides: libkvutils-development
Description: kvutils library required for ecasound - development
 Kvutils is a simple utility library, It is not meant for general use. 
 There is no documentation available.
 .
 Kvutils is freely distributable according to the terms of the GNU
 General Public License (see the file 'COPYING').
 .
 For more info about projects in which kvutils library is used,
 see http://eca.cx
 .
 includes definition-by-contract routines, and command-line parsing 
 modules, some string processing routines, and support for locks.

Package: python-ecasound2.2
Architecture: all
Section: python
Depends: ${shlibs:Depends}, ${python:Depends}
Provides: python-ecasound, ${python:Provides}
Conflicts: python-ecasound
Description: python binding files for ecasound 2.2
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 Includes python bindings for ecasound.

Package: libecasound-ruby1.8
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ruby1.8, libruby1.8, ecasound (>= 2.2.0)
Provides: libecasound-ruby
Description: ruby binding files for ecasound
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 Includes ruby bindings for ecasound.

Package: libecasoundc2.2-dev
Architecture: any
Section: libdevel
Depends: libreadline5-dev
Provides: libecasoundc-dev
Conflicts: libecasoundc-dev
Replaces: libecasound-dev (<< 2.0.2-4)
Description: c binding files for ecasound (devel)
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 includes development files for C (libecasoundc)

Package: ecasound-el
Architecture: all
Section: sound
Depends: ecasound (>= 2.2.0), emacs21|xemacs21|emacs-snapshot
Description: emacs binding files for ecasound sound editing environment
 Ecasound is a software package designed for multitrack audio
 processing. It can be used for simple tasks like audio playback, 
 recording and format conversions, as well as for multitrack effect 
 processing, mixing, recording and signal recycling. Ecasound supports 
 a wide range of audio inputs, outputs and effect algorithms. 
 Effects and audio objects can be combined in various ways, and their
 parameters can be controlled by operator objects like oscillators 
 and MIDI-CCs. As most functionality is located in shared libraries,
 creating alternative user-interfaces is easy. 
 .
 This package provides an interactive mode for running ecasound
 sessions from within Emacs as well as Emacs Lisp bindings
 to the Ecasound Control Interface (ECI).
