=== debian/watch ===
version=3
http://eca.cx/download/ecasound-([\d+\.]+).tar.gz
